Bug 15208 - Ease translation for shelves messages
Summary: Ease translation for shelves messages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-18 13:37 UTC by Bernardo Gonzalez Kriegel
Modified: 2016-06-21 21:40 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15208: Ease translation for shelves messages (9.43 KB, patch)
2015-11-18 13:39 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 15208: Followup to reorder words (2.28 KB, patch)
2015-11-18 13:47 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15208: Ease translation for shelves messages (9.50 KB, patch)
2015-11-18 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15208: Followup to reorder words (2.35 KB, patch)
2015-11-18 14:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15208: Ease translation for shelves messages (9.49 KB, patch)
2015-11-18 21:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 15208: Followup to reorder words (2.40 KB, patch)
2015-11-18 21:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2015-11-18 13:37:20 UTC
Shelves messages give us a 'big' string to translate.
We need to split it up.
Comment 1 Bernardo Gonzalez Kriegel 2015-11-18 13:39:05 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2015-11-18 13:47:45 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-11-18 14:57:47 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-11-18 14:58:06 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-11-18 21:33:54 UTC
Created attachment 44968 [details] [review]
Bug 15208: Ease translation for shelves messages

This string patch only puts <span>...</span>
around shelves messages. It split a monster
translation string into its components.
This kind of string to translate is error-prone.

Also fixed a typo on opac, 'deleteing'

To test:
1) Search for 'An error occurred when updating this list'
on your preferred language translation file for staff
or opac
(xx-YY-staff-prog.po or xx-YY-opac-bootstrap.po)
You will see a 'big' string to translate

2) Apply the patch

3) Update translation files for your language

4) Search again, big one is gone and there are
new individual strings to translate.

Sorry for not spotting this before string freeze

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Katrin Fischer 2015-11-18 21:34:16 UTC
Created attachment 44969 [details] [review]
[PASSED QA] Bug 15208: Followup to reorder words

It think it's better to put the shelf name first

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Tomás Cohen Arazi 2015-11-19 23:17:43 UTC
Patches pushed to master.

Thanks Bernardo!